#!/bin/sh
#
# BEGIN COPYRIGHT BLOCK
# Copyright (C) 2005 Red Hat, Inc.
# All rights reserved.
# 
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation version
# 2.1 of the License.
#                                                                                  
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#                                                                                  
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
# END COPYRIGHT BLOCK
#
# FTP script for downloading /share/builds/components stuff.
#
# syntax:
#      nsftp <srcdir-relative to /share/builds/components> <destdir>
#
# Example 
#
#      nsftp ldapsdk/19961108 c:\3.0\ns\components\ldapsdk
#

SERVER=elfgrass.mcom.com
USER=ftpman
PASSWD=ftpman
TMPFILE=tmp.foo

SRC=$1
DEST=$2
if [ -z $3 ]; then 
  FILENAME=*
else
  FILENAME=$3
fi

echo ${USER}

cd ${DEST}
ftp -n ${SERVER} << -=EOF=-
user ${USER} ${PASSWD}
binary
hash
prompt
cd ${SRC}
mget ${FILENAME}
quit
-=EOF=-

